% This is a Matlab script. This script converts to Matlab v6 format
% some output of TOEddies: what is necessary for the script
% survival.py.

clear
disp('Loading Trajectories_Cyclo_filt.mat...')
load('Trajectories_Cyclo_filt.mat', 'Cyclonic_Trajectories')
ID_traj = Cyclonic_Trajectories(:, 1);
ID_detection = Cyclonic_Trajectories(:, 2);
disp('Saving cyclonic trajectories...')
save('traj_cyclo', 'ID_traj', 'ID_detection', '-v6')

clear
disp('Loading Trajectories_Anti_filt.mat...')
load('Trajectories_Anti_filt.mat', 'Anticyclonic_Trajectories')
ID_traj = Anticyclonic_Trajectories(:, 1);
ID_detection = Anticyclonic_Trajectories(:, 2);
disp('Saving Anticyclonic_Trajectories...')
save('traj_anti', 'ID_traj', 'ID_detection', '-v6')

exit
