module get_slice_dir_m

  implicit none

contains

  pure function get_slice_dir(shpc_dir, cyclone, slice)

    character(len = :), allocatable:: get_slice_dir
    character(len = *), intent(in):: shpc_dir
    logical, intent(in):: cyclone
    integer, intent(in):: slice

    ! Local:
    character(len = 10) slice_part

    !-------------------------------------------------------------

    write(unit = slice_part, fmt = "(a, i0)") "Slice_", slice

    if (cyclone) then
       get_slice_dir = shpc_dir // "/" // trim(slice_part) // "/Cyclones"
    else
       get_slice_dir = shpc_dir // "/" // trim(slice_part) // "/Anticyclones"
    end if

  end function get_slice_dir

end module get_slice_dir_m
