% This is a Matlab script. This script converts to Matlab v6 format
% some output of TOEddies: Nanti, date_num and Ncyclo, which are
% necessary for the script overlap_v6.py.

disp('Processing Parameters_Anticyclonic_Eddies...')
load('Parameters_Anticyclonic_Eddies.mat', 'Nanti', 'date_num')
N_eddies = Nanti;
save('Nanti', 'N_eddies', '-v6')
save('date_num', 'date_num', '-v6')

clear
disp('Processing Parameters_Cyclonic_Eddies...')
load('Parameters_Cyclonic_Eddies.mat', 'Ncyclo')
N_eddies = Ncyclo;
save('Ncyclo', 'N_eddies', '-v6')

exit
